Add Text to Knowledge Base
curl --request POST \
--url https://api.trillet.ai/v1/api/knowledgebase/{id}/text \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"text": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/knowledgebase/{id}/text"
payload = {
"text": "<string>",
"name": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({text: '<string>', name: '<string>'})
};
fetch('https://api.trillet.ai/v1/api/knowledgebase/{id}/text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}
Knowledge Base
Add Text to Knowledge Base
Add plain text content to an existing knowledge base.
POST
/
v1
/
api
/
knowledgebase
/
{id}
/
text
Add Text to Knowledge Base
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Path Parameters
string
required
The unique identifier of the knowledge base.
Request Body
string
required
The plain text content to add to the knowledge base.
string
Optional name for the text entry.
Response Fields
boolean
Whether the text was added successfully.
{
"success": true
}
⌘I
